## 2015.28.08, Version 0.4.7-beta

*   Bugs:
    - #37: Fix bug where relative protocol URIs caused crawler to escape to
      other domains.
    - #40: Fix length check of array for load errors.
    - Fix bug where load error warnings where not shown for local files.

*   Other:
    - Update licence information.

## 2014.02.07, Version 0.4.6-beta

*   Bugs:
    - Fix bug where crawler reached maximum call stack size on large sites.
    - Fix so that links pointing to URLs with other protocols than http(s) are
      not followed.

## 2014.02.04, Version 0.4.4-beta

*   Features:
    - #30: Option for setting User agent header.
      Any header can now be set in configuration.

*   Bugs:
    - #32: Stops unexpectedly without any error message.
    - #29: Follows links to binaries.
      Now checks content type of response.

*   Other:
    - Better error handling and reporting (#9), including:
      - Warning at the end if any resources did not load.
      - Timeouts.
    - Increased default timeout from 4 seconds to 10 seconds.
    - "nosummary" option renamed to "silent".

*   Refactoring that has implications for customization:
    - Added error message parameter to logger.
    - Renamed output.standard to output.report, and changed/renamed the
      "summary" parameter to "silent".
    - Add load_error property to the result object, with a list of all errors
      on loading CSS and HTML.

## 2013.10.05, Version 0.4.3-beta

*   Bugs:
    - #26: Skip mailto:url

## 2013.08.28, Version 0.4.2-beta

*   Bugs:
    - Whitelisted rules not output correctly (#25).

## 2013.08.16, Version 0.4.1-beta

*   Bugs:
    - Updated help text, which had wrong name for the config file.

## 2013.08.16, Version 0.4.0-beta

*   Features:
    - Added option --full, to show full details for all rules.
    - Removed option --used (functionality is covered by --full).
    - New output report, with more information.

*   Refactoring:
    - Result object has new format. This has implications for custom
      output functions, as well as library use.
    - Added CSS selector position(s) in source file to result object.

## 2013.08.12, Version 0.3.2-beta

*   Features:
    - Added possibility to use custom logger and custom result handler.

## 2013.08.01, Version 0.3.1-beta

*   Bugs/issues fixed:
    - Parameters are now kept for links in pages.include (but removed from
      links found by the crawler).
    - Request pooling disabled, to avoid hangs
      (see https://github.com/mikeal/request/issues/465).
    - Added (configurable) timeout for requests.
    - Improved logging and error handling.
    - Handles links without href attributes.

## 2013.07.26, Version 0.3.0-beta

*   Features:
    - Follow links/crawl (#3).
      When running from command line, crawling is the new default.

*   Other:
    - Replace jsdom and jQuery with Cheerio.
    - Use request module instead of http/https (except in helpers/login.js).
    - Major refactoring, which includes introducing the promises pattern for
      managing callbacks (using Q).

## 2013.03.11, Version 0.2.2-beta

*   Bug fixes:
    - Make sure @keyframe and @font-face does not crash uCSS (issues #15, #16)

## 2012.11.23, Version 0.2.1-beta

*   Bug fixes:
    - Fix loading of config from relative paths.

## 2012.09.17, Version 0.2.0-beta

*   Changes:
    - Change config file format from JSON to Node module
      NOTE: This breaks backwards compability.
*   Bug fixes:
    - Fix custom login functions to work.

## 2012.09.10, Version 0.1.2-beta

*   Features:
    - Adds support for fetching CSS over HTTP.
*   Bug/stability fixes:
    - Now handles grouped selectors (issue #11)
    - Now tests selectors inside e.g. a media query (issue #10)
    - Now properly reads selectors after e.g. a media query (issue #10)
*   Dependency changes:
    - Adds cssom CSS parser, to properly extract selectors

## 2012.08.17, Version 0.1.1-beta

*   Stability fixes:
    - Ignore pseudo part of a selector.
    - Ignore at-rules (like @media and @font-face).

## 2012.08.10, Version 0.1.0-beta

*   First release.